Bug 210780 - [NEW PORT] devel/marisa-trie: Matching Algorithm with Recursively Implemented StorAge
Summary: [NEW PORT] devel/marisa-trie: Matching Algorithm with Recursively Implemented...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch
Depends on:
Blocks: 210781
  Show dependency treegraph
 
Reported: 2016-07-03 14:22 UTC by Iblis Lin
Modified: 2016-07-09 00:55 UTC (History)
1 user (show)

See Also:


Attachments
marisa-trie shar (4.00 KB, text/plain)
2016-07-03 14:22 UTC, Iblis Lin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2016-07-03 14:22:07 UTC
Created attachment 172062 [details]
marisa-trie shar

Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
and space-efficient trie data structure. And libmarisa is a C++ library to
provide an implementation of MARISA. Also, the package of libmarisa contains
a set of command line tools for building and operating a MARISA-based
dictionary.

WWW: https://github.com/s-yata/marisa-trie
Comment 1 Kurt Jaeger freebsd_committer 2016-07-08 17:23:38 UTC
testbuilds, portlint is OK, committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-07-08 17:24:03 UTC
A commit references this bug:

Author: pi
Date: Fri Jul  8 17:23:20 UTC 2016
New revision: 418237
URL: https://svnweb.freebsd.org/changeset/ports/418237

Log:
  New port: devel/marisa-trie

  Matching Algorithm with Recursively Implemented StorAge (MARISA)
  is a static and space-efficient trie data structure. And libmarisa
  is a C++ library to provide an implementation of MARISA. Also, the
  package of libmarisa contains a set of command line tools for
  building and operating a MARISA-based dictionary.

  WWW: https://github.com/s-yata/marisa-trie

  PR:		210780
  Submitted by:	Iblis Lin <iblis@hs.ntnu.edu.tw>

Changes:
  head/devel/Makefile
  head/devel/marisa-trie/
  head/devel/marisa-trie/Makefile
  head/devel/marisa-trie/distinfo
  head/devel/marisa-trie/files/
  head/devel/marisa-trie/files/patch-Makefile.am
  head/devel/marisa-trie/pkg-descr
  head/devel/marisa-trie/pkg-plist